通过


你当前正在访问 Microsoft Azure Global Edition 技术文档网站。 如果需要访问由世纪互联运营的 Microsoft Azure 中国技术文档网站,请访问 https://docs.azure.cn

Shared Gallery Images - Get

按订阅 ID 或租户 ID 获取共享库映像。

GET https://management.azure.com/subscriptions/{subscriptionId}/providers/Microsoft.Compute/locations/{location}/sharedGalleries/{galleryUniqueName}/images/{galleryImageName}?api-version=2024-03-03

URI 参数

名称 必需 类型 说明
galleryImageName
path True

string

要从中列出映像版本的共享库映像定义的名称。

galleryUniqueName
path True

string

共享库的唯一名称。

location
path True

string

minLength: 1

Azure 区域的名称。

subscriptionId
path True

string

minLength: 1

目标订阅的 ID。

api-version
query True

string

minLength: 1

要用于此操作的 API 版本。

响应

名称 类型 说明
200 OK

SharedGalleryImage

Azure作已成功完成。

Other Status Codes

CloudError

意外错误响应。

安全性

azure_auth

Azure Active Directory OAuth2 Flow。

类型: oauth2
流向: implicit
授权 URL: https://login.microsoftonline.com/common/oauth2/authorize

作用域

名称 说明
user_impersonation 模拟用户帐户

示例

示例请求

GET https://management.azure.com/subscriptions/{subscription-id}/providers/Microsoft.Compute/locations/myLocation/sharedGalleries/galleryUniqueName/images/myGalleryImageName?api-version=2024-03-03

示例响应

{
  "properties": {
    "osType": "Windows",
    "osState": "Generalized",
    "hyperVGeneration": "V1",
    "identifier": {
      "publisher": "myPublisherName",
      "offer": "myOfferName",
      "sku": "mySkuName"
    },
    "eula": "https://www.microsoft.com/en-us/",
    "artifactTags": {
      "ShareTag-Official1PGallery": "Official1PGallery"
    }
  },
  "location": "myLocation",
  "name": "myGalleryImageName",
  "identifier": {
    "uniqueId": "/SharedGalleries/galleryUniqueName/Images/myGalleryImageName"
  }
}

定义

名称 说明
ApiError

API 错误。

ApiErrorBase

Api 错误库。

Architecture

映像的体系结构。 仅适用于 OS 磁盘。

CloudError

来自计算服务的错误响应。

Disallowed

描述不允许的磁盘类型。

GalleryImageFeature

图库图像的功能。

GalleryImageIdentifier

这是库映像定义标识符。

HyperVGeneration

虚拟机的虚拟机监控程序生成。 仅适用于 OS 磁盘。

ImagePurchasePlan

描述库映像定义购买计划。 市场映像使用此映像。

InnerError

内部错误详细信息。

OperatingSystemStateTypes

此属性允许用户指定在此映像下创建的虚拟机是“通用化”还是“专用”。

OperatingSystemTypes

此属性允许指定从托管映像创建 VM 时磁盘中包含的 OS 的类型。 可能的值包括:Windows、Linux。

RecommendedMachineConfiguration

这些属性描述此映像定义的推荐计算机配置。 这些属性是可更新的。

ResourceRange

描述资源范围。

SharedGalleryImage

指定有关要创建或更新的库映像定义的信息。

ApiError

API 错误。

名称 类型 说明
code

string

错误代码。

details

ApiErrorBase[]

Api 错误详细信息

innererror

InnerError

Api 内部错误

message

string

错误消息。

target

string

特定错误的目标。

ApiErrorBase

Api 错误库。

名称 类型 说明
code

string

错误代码。

message

string

错误消息。

target

string

特定错误的目标。

Architecture

映像的体系结构。 仅适用于 OS 磁盘。

说明
x64
Arm64

CloudError

来自计算服务的错误响应。

名称 类型 说明
error

ApiError

API 错误。

Disallowed

描述不允许的磁盘类型。

名称 类型 说明
diskTypes

string[]

磁盘类型的列表。

GalleryImageFeature

图库图像的功能。

名称 类型 说明
name

string

库映像功能的名称。

startsAtVersion

string

支持此功能的最低库映像版本。

value

string

库映像功能的值。

GalleryImageIdentifier

这是库映像定义标识符。

名称 类型 说明
offer

string

库映像定义产品/服务的名称。

publisher

string

库映像定义发布者的名称。

sku

string

库映像定义 SKU 的名称。

HyperVGeneration

虚拟机的虚拟机监控程序生成。 仅适用于 OS 磁盘。

说明
V1
V2

ImagePurchasePlan

描述库映像定义购买计划。 市场映像使用此映像。

名称 类型 说明
name

string

计划 ID。

product

string

产品 ID。

publisher

string

发布者 ID。

InnerError

内部错误详细信息。

名称 类型 说明
errordetail

string

内部错误消息或异常转储。

exceptiontype

string

异常类型。

OperatingSystemStateTypes

此属性允许用户指定在此映像下创建的虚拟机是“通用化”还是“专用”。

说明
Generalized

广义图像。 需要在部署期间进行配置。

Specialized

专业图像。 包含已预配的 OS 磁盘。

OperatingSystemTypes

此属性允许指定从托管映像创建 VM 时磁盘中包含的 OS 的类型。 可能的值包括:Windows、Linux。

说明
Windows
Linux

RecommendedMachineConfiguration

这些属性描述此映像定义的推荐计算机配置。 这些属性是可更新的。

名称 类型 说明
memory

ResourceRange

描述资源范围。

vCPUs

ResourceRange

描述资源范围。

ResourceRange

描述资源范围。

名称 类型 说明
max

integer (int32)

资源的最大数目。

min

integer (int32)

资源的最小数目。

SharedGalleryImage

指定有关要创建或更新的库映像定义的信息。

名称 类型 说明
identifier.uniqueId

string

此共享库的唯一 ID。

location

string

资源位置

name

string

资源名称

properties.architecture

Architecture

映像的体系结构。 仅适用于 OS 磁盘。

properties.artifactTags

object

共享库资源的项目标记。

properties.disallowed

Disallowed

描述不允许的磁盘类型。

properties.endOfLifeDate

string (date-time)

库映像定义的生命周期结束日期。 此属性可用于解除授权目的。 此属性可更新。

properties.eula

string

当前社区库映像的最终用户许可协议。

properties.features

GalleryImageFeature[]

库映像功能的列表。

properties.hyperVGeneration

HyperVGeneration

虚拟机的虚拟机监控程序生成。 仅适用于 OS 磁盘。

properties.identifier

GalleryImageIdentifier

这是库映像定义标识符。

properties.osState

OperatingSystemStateTypes

此属性允许用户指定在此映像下创建的虚拟机是“通用化”还是“专用”。

properties.osType

OperatingSystemTypes

此属性允许指定从托管映像创建 VM 时磁盘中包含的 OS 的类型。 可能的值包括:Windows、Linux。

properties.privacyStatementUri

string

当前社区库图像的隐私声明 uri。

properties.purchasePlan

ImagePurchasePlan

描述库映像定义购买计划。 市场映像使用此映像。

properties.recommended

RecommendedMachineConfiguration

这些属性描述此映像定义的推荐计算机配置。 这些属性是可更新的。